List jobs
Authorization
api_key jobs:readAuthorizationBearer <token>
An atk_-prefixed API key, created under Settings → API keys.
In: header
Scope: jobs:read
Query Parameters
project_id?|
Only jobs in this project. Omitted means every job of the account.
Format
uuidlimit?|
Page size, most recently active first (last_active_at, not created_at). Defaults to 50,
clamped to 1..=200.
Format
int32Range
0 <= valueoffset?|
Rows to skip. Defaults to 0.
Format
int32Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/jobs"[ { "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "created_at": "2019-08-24T14:15:22Z", "description": "string", "failure_reason": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_active_at": "2019-08-24T14:15:22Z", "last_activity": "string", "planning": true, "primary_session_id": "5fb6eee6-42c6-4a4c-8ea0-dd0a7a8d08e5", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "state": "string", "title": "string", "updated_at": "2019-08-24T14:15:22Z" }]